var i : integer;
begin
  writeln ('100000 1');
  for i := 1 to 100000 do write ('z'); writeln;
  for i := 1 to 100000 do write ('y'); writeln;
  for i := 1 to 100000 do write (chr (random (25) + 97)); writeln;
end.